aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJian Cai <jiancai@google.com>2020-02-04 14:45:03 -0800
committerJian Cai <jiancai@google.com>2020-02-06 05:04:55 +0000
commit145952b0c162475624b7bec8713724ed449f34c1 (patch)
treef856077047211b3bb31147d5b772b99f0b34b679
parent042613e6302d394bd52eb520bbc01b84ea86897f (diff)
downloadtoolchain-utils-145952b0c162475624b7bec8713724ed449f34c1.tar.gz
compiler_wrapper: add update_compiler_wrapper.sh
Add a script that rebuilds and installs the compier wrappers for debugging. BUG=chromium:1042452 TEST=Verified locally. Change-Id: If0b26132c88b8885fbc411cf51ed27aa9dd8f835 Reviewed-on: https://chromium-review.googlesource.com/c/chromiumos/third_party/toolchain-utils/+/2037909 Reviewed-by: George Burgess <gbiv@chromium.org> Reviewed-by: Manoj Gupta <manojgupta@chromium.org> Tested-by: Jian Cai <jiancai@google.com>
-rwxr-xr-xcompiler_wrapper/update_compiler_wrapper.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/compiler_wrapper/update_compiler_wrapper.sh b/compiler_wrapper/update_compiler_wrapper.sh
new file mode 100755
index 00000000..93de2be4
--- /dev/null
+++ b/compiler_wrapper/update_compiler_wrapper.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+# This script rebuilds and installs compiler wrappers
+
+if [[ ! -e /etc/cros_chroot_version ]]; then
+ echo "Please run this script inside chroot"
+ exit 1
+fi
+set -e
+cd "$(dirname "$(readlink -m "$0")")"
+echo "Updated files:"
+# Update the host wrapper
+./build.py --config=cros.host --use_ccache=false --use_llvm_next=false --output_file=./clang_host_wrapper
+sudo mv ./clang_host_wrapper /usr/bin/clang_host_wrapper
+echo "/usr/bin/clang_host_wrapper"
+sudo cp ../binary_search_tool/bisect_driver.py /usr/bin
+echo "/usr/bin/clang_host_wrapper/bisect_driver.py"
+# Update the target wrappers
+for GCC in cross-x86_64-cros-linux-gnu/gcc cross-armv7a-cros-linux-gnueabihf/gcc cross-aarch64-cros-linux-gnu/gcc; do
+ FILES="$(equery f $GCC)"
+ ./build.py --config=cros.hardened --use_ccache=false --use_llvm_next=false --output_file=./sysroot_wrapper.hardened.noccache
+ sudo mv ./sysroot_wrapper.hardened.noccache "$(grep sysroot_wrapper.hardened.noccache <<< "${FILES}")"
+ echo "$(grep sysroot_wrapper.hardened.noccache <<< "${FILES}")"
+ ./build.py --config=cros.hardened --use_ccache=true --use_llvm_next=false --output_file=./sysroot_wrapper.hardened.ccache
+ sudo mv ./sysroot_wrapper.hardened.ccache "$(grep sysroot_wrapper.hardened.ccache <<< "${FILES}")"
+ echo "$(grep sysroot_wrapper.hardened.ccache <<< "${FILES}")"
+ sudo cp ../binary_search_tool/bisect_driver.py "$(grep bisect_driver.py <<< "${FILES}")"
+ echo "$(grep bisect_driver.py <<< "${FILES}")"
+done